Subject: bug#62211: closed (Re: bug#62211: Job build-native-comp-speed2 does not run anymore on EMBA)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 26 Mar 2023 11:59:02 +0000

Your bug report

#62211: Job build-native-comp-speed2 does not run anymore on EMBA

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62211: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62211
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62211: Job build-native-comp-speed2 does not run anymore on EMBA
From: Michael Albinus <[email-masked]>
To: Andrea Corallo <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 26 Mar 2023 13:58:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 29.1

Michael Albinus <[email-masked]> writes:

Hi Andrea,

>> I guess we are just missing zlib in the docker?  I'm not a debian expert
>> but I think zlib1g-dev might be the package we need here.
>
> I've pushed this to the emacs-29 branch. Let's see how it goes.

That has worked, thanks. I'm closing the bug.

>> Best Regards
>>   Andrea

Best regards, Michael.

Subject: Job build-native-comp-speed2 does not run anymore on EMBA
From: Michael Albinus <[email-masked]>
To: [email-masked]
Date: Wed, 15 Mar 2023 20:27:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Recently, we have upgraded EMBA jobs to run using Debian 11 (bullseye)
instead of Debian 9 (stretch). Since then, the gitlab job
build-native-comp-speed2 fails. See for example
<https://emba.gnu.org/emacs/emacs/-/jobs/64725/raw>.

It looks to me, like we must replace Debian package libgccjit-6-dev by
something else.

Best regards, Michael.